package com.adealink.weparty.webview.jsbridge.data

import com.google.gson.annotations.SerializedName

enum class NativeMessageType(val msgType: String) {
    MSG_COUNTRY_SELECT("msg_country_select"),
    MSG_REFRESH_PRODUCT("msg_refresh_product"),
    MSG_REFRESH_MY_VIP("msg_refresh_my_vip"),
    MSG_ON_RESUME("msg_on_resume"),
    MSG_ROOM_SUPPORT_ADD_USER("msg_room_support_add_user"),
    MSG_ROOM_SUPPORT_RANK_SELECT_DATE("msg_room_support_rank_select_date"),
    RECEIVE_REWARD_RESULT("receive_reward_result"),
}

data class NativeMessage<T>(
    @SerializedName("type")
    var type: String,
    @SerializedName("data")
    var data: T? = null)
